sicstuslgt(1)

NAME
sicstuslgt - Logtalk integration script for SICStus Prolog

SYNOPSIS
sicstuslgt [--noinfo] [--goal goal]

DESCRIPTION
sicstuslgt is a Logtalk integration script for SICStus Prolog. It automatically loads the SICStus Prolog adapter file, the Logtalk compiler and runtime, the Logtalk default table of library names and paths, and any existing settings file found on the lookup directories. It uses the sicstus executable -l option to load the Logtalk files. It passes any options to the sicstus executable; see the SICStus Prolog documentation for the available options.

OPTIONS
The two most common options are:

--noinfo
    Silence Logtalk default startup messages and compilation messages by setting the report flag to warnings.

--goal
    goal Initialization goal, written between double quotes, to be executed after Logtalk startup.

REQUIREMENTS
SICStus Prolog 4.1.0 (or later versions) is required. This integration script looks for a sicstus executable in the system path.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/integration/logtalk_sicstus.pl
    Prolog file used for loading the necessary files for starting Logtalk using SICStus Prolog as the backend compiler.

$LOGTALKHOME/adapters/sicstus.pl
    The SICStus Prolog adapter file.

$LOGTALKHOME/core/core.pl
    The Logtalk core compiler and runtime file.

$LOGTALKHOME/paths/paths.pl
    The default table of library names and paths.

./settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$LOGTALKUSER/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$HOME/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$XDG_CONFIG_HOME/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$HOME/.config/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk Handbook at $LOGTALKHOME/docs/handbook/index.html

The SICStus Prolog website at http://sicstus.sics.se/

logtalk_user_setup(1), logtalk_version_select(1), logtalk_backend_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2026 Paulo Moura.